import Analyzee from '../index';
import { SDKConfig } from './../shared/interfaces/sdk-config.interface';
export declare class AnalyzeeHeatmaps {
    /**
     * @private Analyzee instance
     */
    private _analyzee;
    /**
     * @private Analyzee options
     */
    private readonly _config;
    private readonly log;
    private loadingElement;
    private tooltipElement;
    private canvasElement;
    private box;
    private lastHoveredElement;
    private heatmapInstance;
    private aggregatedClicks;
    private elementPositions;
    private totalClicks;
    constructor(analyzee: Analyzee, options: SDKConfig, log: Analyzee['extends']['logger']['log']);
    destroy(): void;
    startLoading(): void;
    endLoading(): void;
    buildCanvasElement(): void;
    initHeatmaps(): void;
    renderTooltip(selector?: string): void;
    renderHeatmap(): void;
    calculateClicks(data: {
        selector: string;
    }[]): Record<string, number>;
    calculateTotalClicks(data: {
        selector: string;
    }[]): number;
    private _init;
}
